# Uses of Interface
javax.sql.RowSetInternal

Packages that use RowSetInternal
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of RowSetInternal in javax.sql

Methods in javax.sql with parameters of type RowSetInternal
Modifier and Type
Method
Description
`void`
RowSetReader.`readData(RowSetInternal caller)`
Reads the new contents of the calling `RowSet` object.
`boolean`
RowSetWriter.`writeData(RowSetInternal caller)`
Writes the changes in this `RowSetWriter` object's rowset back to the data source from which it got its data.